#/bin/bash
cid=0
httpcode=000
check_docker(){
	echo "-----------------------------"
   	echo "检查Docker安装环境......"
	echo "-----------------------------"
  	 docker -v
	if [ $? -eq  0 ]; then
		echo "检查到Docker已安装!"
		echo "-----------------------------"
		service docker restart
		sleep  5
	else
		echo "安装docker环境..."
		echo "-----------------------------"
		yum install  docker     -y
		echo "安装docker环境...安装完成!"
		echo "-----------------------------"
    service docker start
		sleep  5
	fi
}
check_up(){
	echo "-----------------------------"
	echo "正在确认服务是否完成启动！"
	while  [ $httpcode != 200 ]
	do
		httpcode=`curl -I -m 10 -o /dev/null -s -w %{http_code}  http://localhost:8182/longvideoapi/test`
       		echo  -en  ". "
       		sleep 2
   	 done
	echo  " "
	echo   “请求返回值：  $httpcode  服务器启动完成”
	echo "-----------------------------"  



}



stop(){
         python  /home/sh/update_longvideoapi.py  0
	echo "-----------------------------"
	echo "检查vlogapi容器是否存在"
	echo "-----------------------------"

      
        docker  stop  $(docker ps -a|grep -v IMAGE|awk  '{print $1}')
        docker  rm  -f $(docker ps -a|grep -v IMAGE|awk  '{print $1}')
        docker  rmi  registry-vpc.cn-hangzhou.aliyuncs.com/stuuudy/vlogapi:latest
}
start(){
	cid=`docker ps |grep  "vlogapi:latest"|grep -v grep|awk  '{print $1}'`
	if [ $cid  ];then
		echo "vlogapi already started ！"
		echo "-----------------------------"
	else

		docker login --username=stuuudys --password=Qingqu@2019   registry-vpc.cn-hangzhou.aliyuncs.com
		#docker run --cap-add=SYS_PTRACE  -d -it  -p 8080:8185 --restart=always  registry-vpc.cn-hangzhou.aliyuncs.com/stuuudy/longvideoapi:latest
                docker run --cap-add=SYS_PTRACE  -d -it   --name  vlogapi   --restart=always --network host    registry-vpc.cn-hangzhou.aliyuncs.com/stuuudy/vlogapi:latest
	       check_up
               python  /home/sh/slb_scan.py
	
	fi

}



  case "$1" in
   'start')
      start
      ;;
   'stop')
     stop
     ;;
   'restart')
     stop
     start
     ;;
   'rollback')
     rollback
     ;;
   'deploy')
     deploy
     ;;
   'status')
     check_up
     ;;
   'info')
     info
     ;;
  *)
     echo "Usage: $0 {start|stop|restart|rollback|deploy|status|info}"
     exit 1
;;
esac
